org.apache.ignite.ml.dataset.feature.extractor.impl

## Class DoubleArrayVectorizer<K>

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.extractor.Vectorizer<K,V,C,Double>
  - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.DefaultLabelVectorizer<K,V,Integer>
    - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.IntCoordVectorizer<K,V>
      - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.ArrayLikeVectorizer<K,double[]>
        - - org.apache.ignite.ml.dataset.feature.extractor.impl.DoubleArrayVectorizer<K>

- Type Parameters:
    `K` - Key type.
  All Implemented Interfaces:
    Serializable, BiFunction<K,double[],LabeledVector>, DeployableObject, IgniteBiFunction<K,double[],LabeledVector>, Preprocessor<K,double[]>, FeatureLabelExtractor<K,double[],Double>

      public final class DoubleArrayVectorizer<K>
      extends ExtractionUtils.ArrayLikeVectorizer<K,double[]>
      implements DeployableObject

  Vectorizer on arrays of doubles.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `Vectorizer.LabelCoordinate, Vectorizer.VectorizerAdapter<K,V,C extends Serializable,L>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleArrayVectorizer(Integer... coords)` Creates an instance of Vectorizer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Double` | `feature(Integer coord, K key, double[] val)` Extracts feature value by given coordinate.
    `List<Object>` | `getDependencies()` Returns dependencies of this object that can be object with class defined by client side and unknown for server.
    `protected int` | `sizeOf(K key, double[] val)` Size of array-like structure of upstream object.

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.ArrayLikeVectorizer

      `allCoords`

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.DefaultLabelVectorizer

      `label, zero`

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `apply, createVector, exclude, extract, labeled, labeled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.trainers.FeatureLabelExtractor

      `extractFeatures, extractLabel`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### DoubleArrayVectorizer

          public DoubleArrayVectorizer(Integer... coords)

      Creates an instance of Vectorizer.
      Parameters:
        `coords` - Coordinates.

  - ### Method Detail

    - #### feature

          protected Double feature(Integer coord,
                                   K key,
                                   double[] val)

      Extracts feature value by given coordinate.
      Specified by:
        `feature` in class `Vectorizer<K,double[],Integer,Double>`
      Parameters:
        `coord` - Coordinate.
        `key` - Key.
        `val` - Value.
      Returns:
        feature value.

    - #### sizeOf

          protected int sizeOf(K key,
                               double[] val)

      Size of array-like structure of upstream object.
      Specified by:
        `sizeOf` in class `ExtractionUtils.ArrayLikeVectorizer<K,double[]>`
      Parameters:
        `key` - Key.
        `val` - Value.
      Returns:
        size.

    - #### getDependencies

          public List<Object> getDependencies()

      Returns dependencies of this object that can be object with class defined by client side and unknown for server.
      Specified by:
        `getDependencies` in interface `DeployableObject`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021